Reference
Agent runs
Get Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/agents/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"agentSpecId": "d6712993-8587-454e-b8bf-05ae5d316c13",
"completedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"decisionId": "caa985ad-f12f-4ef1-943f-c1812738ec7a",
"error": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"input": {},
"result": {},
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "string",
"triggerSourceId": "bee4343e-fed3-4af5-b3cb-ae72c692f618",
"triggerSourceType": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Approve Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
reason?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/agents/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/approve" \ -H "Content-Type: application/json" \ -d '{}'{
"agentSpecId": "d6712993-8587-454e-b8bf-05ae5d316c13",
"completedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"decisionId": "caa985ad-f12f-4ef1-943f-c1812738ec7a",
"error": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"input": {},
"result": {},
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "string",
"triggerSourceId": "bee4343e-fed3-4af5-b3cb-ae72c692f618",
"triggerSourceType": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Crystallize Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/agents/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/crystallize"{
"automationId": "de580a02-68f2-4f04-b675-19968bf358e1"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Get Pending
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/agents/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/pending"{
"decision": {},
"run": {
"agentSpecId": "d6712993-8587-454e-b8bf-05ae5d316c13",
"completedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"decisionId": "caa985ad-f12f-4ef1-943f-c1812738ec7a",
"error": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"input": {},
"result": {},
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "string",
"triggerSourceId": "bee4343e-fed3-4af5-b3cb-ae72c692f618",
"triggerSourceType": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Reject Run
Path Parameters
run_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
reason?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/agents/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/reject" \ -H "Content-Type: application/json" \ -d '{}'{
"agentSpecId": "d6712993-8587-454e-b8bf-05ae5d316c13",
"completedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"decisionId": "caa985ad-f12f-4ef1-943f-c1812738ec7a",
"error": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"input": {},
"result": {},
"startedAt": "2019-08-24T14:15:22Z",
"status": "pending",
"triggerMethod": "string",
"triggerSourceId": "bee4343e-fed3-4af5-b3cb-ae72c692f618",
"triggerSourceType": "string",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}